package com.linkv.rtm_flutter_plugin;

import android.content.Context;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class FlutterSurfaceViewFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;

    public FlutterSurfaceViewFactory(BinaryMessenger messenger) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
    }

    @Override
    public PlatformView create(Context context, int viewId, Object args) {
        if (!(args instanceof Map)) {
            throw new IllegalArgumentException("creationPrarams must be map");
        }
        Map map = (Map)args;


        return new FlutterSurfaceView(context, map, viewId);
    }
}
