//
//  FlutterSurfaceViewFactory.m
//  rtm_flutter_plugin
//
//  Created by 王俨 on 2020/8/9.
//

#import "FlutterSurfaceViewFactory.h"
#import "FlutterSurfaceView.h"

@implementation FlutterSurfaceViewFactory

- (NSObject<FlutterMessageCodec> *)createArgsCodec {
    return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args {
    return [[FlutterSurfaceView alloc] initWithFrame:frame viewIdentifier:viewId arguments:args];
}

@end
